import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {DashboardComponentStore} from "../../stores/DashboardComponentStore";
import {DashboardComponentsForm} from "./DashboardComponentsForm";
import {t} from "@lingui/macro";

export const DashboardComponentsBreadModel = () => {
    const columns = [
        makeColumn('name', t`Name`, "string"),
        makeColumn('dashboard_target.name', t`Target`, "string"),
        makeColumn('dashboard_target.module_name', t`Module`, "string"),
        makeColumn('displayTypeName', t`Display Type`, "string"),
        makeColumn('desc', t`Description`, "string", val => {
            return <>{(val || '').split("\n").map((v: string) => <React.Fragment key={v}>{v}<br/></React.Fragment>)}</>
        }),
        makeColumn('refresh_interval', t`Refresh Rate`, "string", val => <>{val} {t`Seconds`}</>),
        makeColumn('last_run_error', t`Last Run`, "string", val => val || t`Success`)
    ];
    return (
        <BreadModel store={DashboardComponentStore} Form={DashboardComponentsForm} columns={columns}/>
    )
};
