import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {DashboardStore} from "../../stores/DashboardStore";
import {DashboardForm} from "./DashboardForm";
import {t} from "@lingui/macro";

export const DashboardBreadModel = () => {
    const columns = [
        makeColumn('name', t`Name`, "string"),
        makeColumn('desc', t`Description`, "string", val => {
            return <>{(val || '').split("\n").map((v: string) => <React.Fragment key={v}>{v}<br/></React.Fragment>)}</>
        })
    ];
    return (
        <BreadModel store={DashboardStore} Form={DashboardForm} columns={columns}/>
    )
};
